Summary:	A graphical interface for administering users and groups
Name:		userdrake
Version:	2.5
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
URL:		http://www.mageia.org
License:	GPL
Group:		System/Configuration
Requires:	drakxtools >= 16, libuser >= 0.51.7-5mdk
Requires:	polkit
Requires:	transfugdrake
BuildRequires:  gettext perl-devel libuser-devel libglib2.0-devel pam-devel intltool perl_checker

%description
Userdrake is a user-friendly and powerful tool for administrating users and 
groups. It depends on the libuser library. 

%prep
%setup -q
		
%build
cd USER
%{__perl} Makefile.PL INSTALLDIRS=vendor 
cd ..
make OPTIMIZE="$RPM_OPT_FLAGS -w" 

%install
make PREFIX=$RPM_BUILD_ROOT install 

%makeinstall_std -C USER

#install lang
%{find_lang} userdrake

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=User Administration
Comment=Add or remove users and groups
Exec=/usr/bin/drakuser
Icon=userdrake
Type=Application
StartupNotify=true
Categories=GTK;System;X-MandrivaLinux-CrossDesktop;
NoDisplay=true
EOF

%files -f userdrake.lang
%doc README COPYING RELEASE_NOTES
%config(noreplace) %{_sysconfdir}/sysconfig/userdrake
%{_prefix}/bin/*
%{_prefix}/libexec/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/userdrake
%{_mandir}/man3/USER*
%{_datadir}/applications/%{name}.desktop
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Tue Feb 11 2014 tv <tv> 2.5-1.mga4
+ Revision: 589378
- fix untranslated messages (mga#12498)

* Sat Jan 25 2014 colin <colin> 2.4-1.mga4
+ Revision: 568167
- Avoid double fork problems mga#11184 mga#12364

* Mon Dec 16 2013 tv <tv> 2.3-1.mga4
+ Revision: 557344
- fix crashing when displaying about dialog

* Fri Dec 06 2013 tv <tv> 2.2-1.mga4
+ Revision: 555711
- fix searching returning no results

* Wed Dec 04 2013 tv <tv> 2.1-1.mga4
+ Revision: 555141
- fix "forgiving" primary group when (un)selecting secondary groups (mga#11864)
- ignore events who lack ->x & ->y
  (thus fixing a crash if clicking too often)

* Mon Nov 25 2013 tv <tv> 2.0-1.mga4
+ Revision: 553061
- port to Gtk+3

* Sat Nov 23 2013 tmb <tmb> 1.16-2.mga4
+ Revision: 552593
- drop suggests on xguest as we dont want it installed by default

* Sun Nov 17 2013 colin <colin> 1.16-1.mga4
+ Revision: 551671
- New version: 1.16

* Tue Oct 22 2013 umeabot <umeabot> 1.15-2.mga4
+ Revision: 541466
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 colin <colin> 1.15-1.mga4
+ Revision: 495967
- Add BR on perl_checker
- Rely on polkit not consolehelper + BR intltool
- New version: 1.15

* Wed May 29 2013 tv <tv> 1.14-2.mga4
+ Revision: 430244
- rebuild for new perl

* Tue Apr 23 2013 tv <tv> 1.14-1.mga3
+ Revision: 411044
- lzma -> xz
- fix compiling with latest libuser

  + fwang <fwang>
    - update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.13.6-2.mga3
+ Revision: 251365
- rebuild for perl 5.16

* Wed Dec 28 2011 dams <dams> 1.13.6-1.mga2
+ Revision: 188380
- Fix 'xguest' install/remove (bug #2247)

* Sun Jun 12 2011 ahmad <ahmad> 1.13.5-2.mga2
+ Revision: 104369
- Rebuild for perl-5.14.0

* Sun May 22 2011 ennael <ennael> 1.13.5-1.mga1
+ Revision: 100177
- update translation (#1307)

* Sat May 14 2011 ennael <ennael> 1.13.4-1.mga1
+ Revision: 98810
- update translations

* Mon Feb 07 2011 dmorgan <dmorgan> 1.13.3-1.mga1
+ Revision: 48503
- Adapt for mageia
- imported package userdrake

